# frozen_string_literal: true

require_relative '../api_resource'

module ErpIntegration
  module Fulfil
    module Resources
      class Product < ApiResource
        self.model_name = 'product.product'

        # Checks whether a certain product is a BOM.
        # @param sku [String] The product's SKU.
        # @return [Boolean] Whether it's a BOM or not.
        def bom?(sku)
          select(:boms).find_by!(code: sku).boms.any?
        end
        alias billing_of_materials? bom?
      end
    end
  end
end
