# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::Product` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class Product < Resource
    attr_accessor :id, :code, :cost_price, :cost_price_method, :quantity_available,
                  :quantity_buildable, :quantity_inbound, :quantity_on_hand, :salable,
                  :template, :variant_name, :abc_classification, :account_category,
                  :account_cogs_used, :account_expense_used, :account_revenue_used,
                  :account_stock_lost_found_used, :account_stock_production_used,
                  :account_stock_supplier_used, :account_stock_used, :active,
                  :asin, :attachments, :attribute_set, :attributes, :attributes_json,
                  :average_daily_consumed, :average_daily_sales, :average_monthly_consumed,
                  :average_monthly_sales, :average_price, :boms, :box_type, :brand, :channel_listings,
                  :consumable, :country_of_origin, :create_date, :create_uid, :customs_description,
                  :customs_value, :days_of_inventory_left, :default_uom, :default_uom_category,
                  :description, :dimensions_uom, :ean, :fulfil_strategy, :gc_max, :gc_min,
                  :gift_card_delivery_mode, :gift_card_prices, :google_product_category,
                  :gross_margin, :gross_profit, :height, :hs_code, :is_gift_card, :landed_cost,
                  :lead_time_in_days, :length, :list_price, :long_description, :metadata,
                  :next_shipping_date, :product_suppliers, :purchasable, :purchase_uom,
                  :quantity_on_confirmed_purchase_orders, :quantity_outbound, :quantity_returned,
                  :quantity_sold, :quantity_waiting_consumption, :quantity_wip, :safety_stock_days,
                  :sale_uom, :scan_required, :ship_from_stock_if_available, :type,
                  :upc, :use_name_as_customs_description, :weight, :weight_uom,
                  :width, :write_date, :write_uid
  end
end
