# frozen_string_literal: true

module ErpIntegration
  # The `ErpIntegration::SalesOrderLine` exposes an uniformed API for interaction with
  # third-party ERP vendors.
  class SalesOrderLine < Resource
    attr_accessor :id, :product, :quantity, :unit, :unit_price, :amount, :attachments,
                  :channel_identifier, :create_date, :create_uid, :delivery_address,
                  :delivery_date, :delivery_mode, :description, :discount, :gift_message,
                  :gross_profit_cpny_cc, :is_gift_card, :list_price, :listing_sku,
                  :metadata, :note, :options, :purhcase_request, :quantity_canceled,
                  :quantity_reserved, :quantity_shipped, :return_reason, :sale,
                  :sequence, :shipping_date, :taxes, :type, :warehouse, :write_date,
                  :write_uid

    def cancel(id)
      self.class.adapter.cancel(id)
    end

    def adjust_quantity(sales_channel, channel_identifier, sku, quantity, quantity_canceled)
      self.class.adapter.adjust_quantity(sales_channel, channel_identifier, sku, quantity, quantity_canceled)
    end
  end
end
